## com.lowagie.toolbox
Class Toolbox.Console.ReaderThread

    java.lang.Object
      java.lang.Thread
          com.lowagie.toolbox.Toolbox.Console.ReaderThread

All Implemented Interfaces:
  Runnable

Enclosing class:
  Toolbox.Console

     class Toolbox.Console.ReaderThread

extends Thread

Nested Class Summary

Nested classes/interfaces inherited from class java.lang.Thread
`Thread.State, Thread.UncaughtExceptionHandler`

Field Summary
`(package private) PipedInputStream` `pi`
`(package private) String` `type`

Fields inherited from class java.lang.Thread
`MAX_PRIORITY, MIN_PRIORITY, NORM_PRIORITY`

Constructor Summary
`Toolbox.Console.ReaderThread(PipedInputStream pi, String type)`

Method Summary
`void` `run()`

Methods inherited from class java.lang.Thread

`activeCount, checkAccess, clone, countStackFrames, currentThread, destroy, dumpStack, enumerate, getAllStackTraces, getContextClassLoader, getDefaultUncaughtExceptionHandler, getId, getName, getPriority, getStackTrace, getState, getThreadGroup, getUncaughtExceptionHandler, holdsLock, interrupt, interrupted, isAlive, isDaemon, isInterrupted, join, join, join, resume, setContextClassLoader, setDaemon, setDefaultUncaughtExceptionHandler, setName, setPriority, setUncaughtExceptionHandler, sleep, sleep, start, stop, stop, suspend, toString, yield`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### pi

    PipedInputStream pi

### type

    String type

Constructor Detail

### Toolbox.Console.ReaderThread

    Toolbox.Console.ReaderThread(PipedInputStream pi,
                                 String type)

Method Detail

### run

    public void run()

  Specified by:
    `run` in interface `Runnable`
  Overrides:
    `run` in class `Thread`
  See Also:
    `Thread.run()`

Hosted by Hostbasket